BBG Bugs - Bug #2278

[ESS-OVERTIME] data overtime yang terposting menimpa data overtime di tanggal berbeda.
07/04/2023 04:51 PM - Muhammad Bintar

Status: Closed Start date: 07/04/2023
Priority: Immediate Due date: 07/07/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer mohon support nya untuk perbaikan pada posting data overtime dari ESS dimana pada saat mengapprove
request id yang tanggal nya terbaru

pada tanggal 27 april enddate 27 april, lalu berikut nya data tanggal 26 april ke 27 april menyebabkan hasil data overtime nya
menjadi berantakan.

berikut hasil capture video nya.
Time Data

¥ [0 My Workplace
Home e Time Data
» [0 Master Data

» [ Human Resource Employee Overview - 00000245 - EKO PRASETYO
+ [ Business Intell;
usiness Inteligence Employee ID: 00000245 Company ID: PT. Bayu Buana Gemilang

»
[ Menu Development Full Name: EKO PRASETYO Employee Office:  Surabaya

» ini i P
D3 System Administration Employee Status: Active Organization: Operation - Waru

Employee Type: Permanent Position: Operation Staff - Waru

Master Data L] Overtime - 00000245 - EKO PRASETYO

Overtime Clear Filters
Ab: T
sence Quota Fnd Date Overtime lype Day Betore M. | DayType Start Pl | End Pl | Plan Duration | ota
Absence
26/04/2023  27/04/2023  After Work Schedule  YES Shift & Operasional (08.00-16.00) 1601 0005 8.07 16
Attendance 0
28/04/2023  27/04/2023  After Work Schedule  NO Shift 6 Operasional (08.00-16.00) 1601 1955 3.90 16
Waork Schedule o
20/01/2023  21/01/2023  After Work Schedule  YES Shift 6 Operasional (08.00-16.00) 1601 0001 8.00 16
Personal Work Sche... o
17/01/2023  17/01/2023  After Work Schedule  NO Shift 4 Operasional 0001 080 8.00 00
13/01/2023  13/01/2023  After Work Schedule  NO Shift 5 Operasional 0801 1601 8.00 08
/122022 M/12/2022 Aftar Wark Srheduls NO Frea Naws nnnt nan1 200 on T
4 »

History

#1 - 07/04/2023 04:55 PM - Kezia Pawitra Yulianti
- Due date changed from 07/10/2023 to 07/07/2023
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#2 - 07/05/2023 01:11 PM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Muhammad Bintar

di DATATABLEFIELD rubah setingan table PHRPA0016 > DayBeforeFlag > IsPrimaryKey = 1 seperti di bawah

07/03/2025 12



PHRPA0016 DayBeforeFlag 9 DAYBFLAG 0 4 0 O y=YES||n=NO 1 0 1 00 n 100141000
0 NULL 1 minovais 20160725164044 minovais 20161012101316

#3 - 07/05/2023 02:48 PM - Muhammad Bintar
- File clipboard-202307051448-5vihd.png added
- Status changed from Assigned to Deploy

update deploy ke server bbg production
#4 - 11/02/2023 11:30 AM - Muhammad Bintar
- Status changed from Deploy to Closed

Files

testing ess overtime.mp4 4.49 MB 07/04/2023 Muhammad Bintar
clipboard-202307041650-kyurv.png 130 KB 07/04/2023 Muhammad Bintar
clipboard-202307051448-5vihd.png 196 KB 07/05/2023 Muhammad Bintar
